package ch.ethz.inf.vs.android.nethz.tutorial;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;
import android.widget.ToggleButton;

public class MainActivity extends Activity implements OnClickListener {
	
	public final String ACTIVITY_TAG = "### Main ###";

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		TextView text = (TextView) findViewById(R.id.text_main);
		//text.setText("I should not do it this way!");
		//text.setText(R.string.welcome);
		
		text.setText(R.string.hello_world); // <Ctrl+Shift+B>
		Log.d(ACTIVITY_TAG, "1");
		text.setText(R.string.app_name);
		Log.d(ACTIVITY_TAG, "2");
		text.setText(R.string.welcome);
		Log.d(ACTIVITY_TAG, "3");
		
//		findViewById(R.id.btn_test).setOnClickListener( new OnClickListener() {
//			@Override
//			public void onClick(View v) {
//				((Button)v).setText(R.string.btn_clicked);
//			}
//		} );
		
//		findViewById(R.id.btn_test).setOnClickListener(this);
//		findViewById(R.id.btn_action).setOnClickListener(this);

		((Button)findViewById(R.id.btn_toggle)).setText(R.string.btn_toggle);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return false;
	}
	
	@Override
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.btn_test:
			((Button)v).setText(R.string.btn_clicked);
			((Button)v).append(" (this)");
			break;
		case R.id.btn_action:
			((Button)v).setText(R.string.btn_running); 
			((Button)v).append(" (this)");
			break;
		}
	}
	
	public void onClickButton(View v) {
		Intent myIntent = new Intent(this, ActuatorsActivity.class);
		this.startActivity(myIntent);
	}

	public void onClickAction(View v) {
		Intent myIntent = new Intent(this, WorkerActivity.class);
		this.startActivity(myIntent);
	}

	public void onClickToggle(View v) {
		ToggleButton tb = (ToggleButton) v;
		if (tb.isChecked())
			((Button)v).setText(R.string.btn_running);
		else
			((Button)v).setText(R.string.btn_toggle);
	}

}
